#!/usr/bin/python
#-*- coding:utf-8 -*-
#******************************************************************
#  デジタルマルチメータ　　データ収集関数
#　バックグラウンドで動作　１秒周期
#******************************************************************

from time import sleep
import datetime
import time
import locale
import webiopi
import serial

#ディレクトリ指定
logpath = '/home/pi/DMM/'
logfile = 'logdata.log'

#*********************************
def main():
	con=serial.Serial('/dev/ttyAMA0', 115200)

	try:
		while True:
			# Send Command 
			con.write('MR\r\n')
			# 受信待ち
			data = con.readline()
			wbuf = "%s,%s" % (time.strftime('%H%M%S'), data)
#			print (wbuf)
			#ファイルへ追加
			f=open(logpath + logfile, 'w')
			f.write(wbuf)
			f.close()
			sleep(1.0)

	except KeyboardInterrupt:
		pass
#************* *****************
if __name__=='__main__':
	main()